Bug 239337 - Change the name and location of template-cl-dump.pl and template-repl-monitor.pl
Summary: Change the name and location of template-cl-dump.pl and template-repl-monitor.pl
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Replication - General   
(Show other bugs)
Version: 1.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 152373 234987 240316 FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-05-07 17:29 UTC by Noriko Hosoi
Modified: 2015-12-07 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:56:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs diff Makefile.am and new files (47.43 KB, text/plain)
2007-05-08 00:49 UTC, Noriko Hosoi
no flags Details
cvs commit message (2.27 KB, text/plain)
2007-05-08 17:30 UTC, Noriko Hosoi
no flags Details

Description Noriko Hosoi 2007-05-07 17:29:12 UTC
Description of problem:
These 2 replication related perl scripts do not need to be installed per server
instance, but one per the system.
template-cl-dump.pl
template-repl-monitor.pl

The template files are located in /usr/share/fedora-ds/script-templates/, so are
the 2 scripts.  The template files are not supposed to be executed directly,
neither.

That is, they don't have to be a template, but the perl script itself with ".in"
extension processed in the build.

Comment 1 Noriko Hosoi 2007-05-08 00:49:06 UTC
Created attachment 154310 [details]
cvs diff Makefile.am and new files

New Files:
wrappers/cl-dump.in --- wrapper for cl-dump.pl to set LD_LIBRARY_PATH
wrappers/repl-monitor.in --- wrapper for repl-monitor.pl to set LD_LIBRARY_PATH

ldap/admin/src/scripts/cl-dump.pl --- identical to previous template-cl-dump.pl

ldap/admin/src/scripts/repl-monitor.pl --- identical to previous
template-repl-monitor.pl

Introducing a wrapper cl-dump and repl-monitor to set LD_LIBRARY_PATH, then
call the perl script using PerLDAP.  Setting LD_LIBRARY_PATH in the perl script
($ENV{'LD_LIBRARY_PATH'}=...) does not work.

Deleted Files:
ldap/admin/src/scripts/template-cl-dump.pl.in
ldap/admin/src/scripts/template-repl-monitor.pl.in

Comment 2 Noriko Hosoi 2007-05-08 01:25:43 UTC
Install location:
$ ls /usr/bin/cl-dump* /usr/bin/repl-monitor*
/usr/bin/cl-dump*     /usr/bin/repl-monitor*
/usr/bin/cl-dump.pl*  /usr/bin/repl-monitor.pl*

Test run:
$ cl-dump -p 24202 -D "cn=Directory Manager" -w passwd
# Replica Root: o=example.com
# LDIF File   :
/export/server/slapd-s1/cldb/2085dd03-1dd211b2-80f891fc-61560000.ldif
clpurgeruv: {replicageneration} 463fce74000000010000
clpurgeruv: {replica 1 ldap://s1.sfbay.redhat.com:24202}
clmaxruv: {replicageneration} 463fce74000000010000
clmaxruv: {replica 1} 463fcea2000000010000 463fcec7000000010000 463fcec7

changetype: delete
replgen: 463fce74000000010000
csn: 463fcea2000000010000
nsuniqueid: fcc2974d-1dd111b2-80f891fc-61560000
dn: uid=scarter,ou=people,o=example.com

[...]

Comment 3 Noriko Hosoi 2007-05-08 17:30:06 UTC
Created attachment 154346 [details]
cvs commit message

Reviewed by Nathan (Thank you!)

Checked in into HEAD.

Comment 6 Deon Ballard 2008-04-09 20:19:54 UTC
The script names were updated in the config guide for 8.0, but I missed a
reference in the 8.0 admin guide to the repl-monitor.pl script. That's been
corrected now, too.


Note You need to log in before you can comment on or make changes to this bug.